Bug 1004226 - SecurityContextAssociationValve makes lots of unnecessary AccessController.doPrivileged calls
SecurityContextAssociationValve makes lots of unnecessary AccessController.do...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: EAP 6.2.0
Assigned To: Stuart Douglas
Josef Cacek
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 04:49 EDT by Stuart Douglas
Modified: 2013-12-15 11:55 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:55:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart Douglas 2013-09-04 04:49:42 EDT
Description of problem:

SecurityContextAssociationValve makes at least 11 AccessController.doPrivileged calls, even when a security manager is not installed. This is basically a performance penalty that is applied to every web request, even if the app is not using container managed security
Comment 11 Josef Cacek 2013-10-17 03:49:45 EDT
Verified in 6.2.0.ER6

Note You need to log in before you can comment on or make changes to this bug.